"""

    Installs TypedReferenceWidget
    
    Copyright 2005 Mikko Ohtamaa

"""
from StringIO import StringIO
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.CMFCore import MembershipTool
from Products.CMFCore.utils import getToolByName, manage_addTool
from Products.TypedReferenceWidget.config import *

def install(self):

    """ Quick install script
    
    Register TypedReferenceWidget widget classes and skins    
    """
    
    portal = self
    
    # Create buffer which logs messages during installation
    out = StringIO()

    # Register Archetypes types in the portal
    installTypes(portal, out, listTypes(PROJECTNAME), PROJECTNAME)

    # Register layout files in the portal
    install_subskin(portal, out, GLOBALS)                
    
    out.write("Successfully installed %s." % PROJECTNAME)
    return out.getvalue()

    