"""

    TypedReferenceWidget 
    
    Archetypes add-on widget
    
    Copyright 2005 Mikko Ohtamaa
    
    See README.html for details

"""
from Products.Archetypes.public import process_types, listTypes
from Products.Archetypes.ArchetypeTool import getType
from Products.Archetypes.utils import capitalize
from Products.CMFCore.DirectoryView import registerDirectory
from Products.TypedReferenceWidget.config import SKINS_DIR, GLOBALS, PROJECTNAME

from Products.validation import validation

def initialize(context):
    """    
    Parameters:
        
    @context Zope/App/ProductContext instance
    
    """
    
    # flags TypedReferenceWidget.py module refreshable
    import TypedReferenceWidget
    from UIDListValidator import UIDListValidator
    
    registerDirectory(SKINS_DIR, GLOBALS)
    
    validation.register(UIDListValidator("isUIDList"))



            



